From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Tue, 11 Jan 2022 12:17:35 +0100
Subject: media: s5k3l6xx: use gpio_set_value_cansleep

we're not in any atomic context, so use the cansleep variant.
---
 drivers/media/i2c/s5k3l6xx.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/media/i2c/s5k3l6xx.c b/drivers/media/i2c/s5k3l6xx.c
index 47f6b0d..1a0c00b 100644
--- a/drivers/media/i2c/s5k3l6xx.c
+++ b/drivers/media/i2c/s5k3l6xx.c
@@ -571,7 +571,7 @@ static void s5k3l6xx_gpio_assert(struct s5k3l6xx *state, int id)
 	if (gpio == 0)
 		return;
 
-	gpio_set_value(gpio->gpio, gpio->level);
+	gpio_set_value_cansleep(gpio->gpio, gpio->level);
 }
 
 static void s5k3l6xx_gpio_deassert(struct s5k3l6xx *state, int id)
@@ -581,7 +581,7 @@ static void s5k3l6xx_gpio_deassert(struct s5k3l6xx *state, int id)
 	if (gpio == 0)
 		return;
 
-	gpio_set_value(gpio->gpio, !gpio->level);
+	gpio_set_value_cansleep(gpio->gpio, !gpio->level);
 }
 
 static int s5k3l6xx_power_on(struct s5k3l6xx *state)
